Welcome to NeoOffice developer notes and announcements
NeoOffice
Developer notes and announcements
 
 

Download or installation problems? Try these steps
Problems after upgrading to NeoOffice 2017? Try these steps


Support
· NeoOffice Support
· NeoWiki


Announcements
· Twitter @NeoOffice


Downloads
· Download NeoOffice


RSS Feeds
· Announcements Only
· All Posts


  
NeoOffice :: View topic - NeoOffice/J 1.2 Alpha
NeoOffice/J 1.2 Alpha
 
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    NeoOffice Forum Index -> NeoOffice Development
View previous topic :: View next topic  
Author Message
jjmckenzie51
The Anomaly


Joined: Apr 01, 2005
Posts: 1055
Location: Southeastern Arizona

PostPosted: Fri Sep 09, 2005 4:19 pm    Post subject: Reply with quote

[quote="pluby"]
jjmckenzie51 wrote:
I just tried to build using a fresh cvs update and it appears that vcl will not build for NeoOffice.

So am I supposed to guess where the problem is? I can't magically see the build errors in your terminal.


Patrick:

I redecided to rebuild vcl, under tcsh with MacosxEnv.set, to see if that was the problem. It passed the build. I will try to restart the build and if it fails I will send you the build log. The error is hard to detect why it happened.

Edit:

I went back and started over and got this error:

Code:

=============
Building project sfx2
=============
/Users/jamesmckenzie/NeoOfficeJ/neojava-14test/neojava/build/sfx2/sdi
`../unxmacxp.pro/misc/sfxslots.don' is up to date
-------------
/Users/jamesmckenzie/NeoOfficeJ/neojava-14test/neojava/build/sfx2/source/accel
-------------
/Users/jamesmckenzie/NeoOfficeJ/neojava-14test/neojava/build/sfx2/source/appl
--- EXCEPTIONSFILES ---
dmake:  Error -- `shutdownicon_cocoa.h' not found, and can't be made
---* TG_SLO.MK *---
dmake:  Error code 255, while making 'do_it_exceptions'
---* TG_SLO.MK *---

ERROR: Error 65280 occurred while making /Users/jamesmckenzie/NeoOfficeJ/neojava-14test/neojava/build/sfx2/source/appl
make: *** [build.oo_all] Error 1


This file is not in the /build/sfx2 directory.

James


Last edited by jjmckenzie51 on Fri Sep 09, 2005 4:51 pm; edited 1 time in total
Back to top
View user's profile Send private message
pluby
The Architect
The Architect


Joined: Jun 16, 2003
Posts: 11847
Location: California, USA

PostPosted: Fri Sep 09, 2005 4:23 pm    Post subject: Reply with quote

jjmckenzie51 wrote:
I redecided to rebuild vcl, under tcsh with MacosxEnv.set, to see if that was the problem. It passed the build. I will try to restart the build and if it fails I will send you the build log. The error is hard to detect why it happened.


FYI. When building Neo/J modules, you should source the MacosxEnvJava.Set. The MacosxEnv.Set file is only for building OOo, not Neo/J.

Patrick
Back to top
View user's profile Send private message Visit poster's website
jjmckenzie51
The Anomaly


Joined: Apr 01, 2005
Posts: 1055
Location: Southeastern Arizona

PostPosted: Fri Sep 09, 2005 5:02 pm    Post subject: Reply with quote

pluby wrote:
jjmckenzie51 wrote:
I redecided to rebuild vcl, under tcsh with MacosxEnv.set, to see if that was the problem. It passed the build. I will try to restart the build and if it fails I will send you the build log. The error is hard to detect why it happened.


FYI. When building Neo/J modules, you should source the MacosxEnvJava.Set. The MacosxEnv.Set file is only for building OOo, not Neo/J.


I was building the vcl module from the OOo source code. I was not trying to build the Neo/J code. This is what is confusing me. It looks like I will have to will have to delete all of the unxmacxp.pro and unxmacxp.pro.oo directories and build again, which I should not have to do.

James
Back to top
View user's profile Send private message
pluby
The Architect
The Architect


Joined: Jun 16, 2003
Posts: 11847
Location: California, USA

PostPosted: Fri Sep 09, 2005 5:40 pm    Post subject: Reply with quote

jjmckenzie51 wrote:
I was building the vcl module from the OOo source code. I was not trying to build the Neo/J code. This is what is confusing me. It looks like I will have to will have to delete all of the unxmacxp.pro and unxmacxp.pro.oo directories and build again, which I should not have to do.


This is a known limitation of the Neo/J build system. It is currently geared towards building OOo once and then never rebuilding the OOo code again.

If you want to rebuild an OOo module, you only need to worry if there is a unxmacxp.pro.oo directory. If there is one, then move the unxmacxp.pro directory out of the way, rename the unxmacxp.pro.oo to unxmacxp.pro, do your normal OOo build steps, and then move the two directories back to the where they were before you rebuild and Neo/J modules.

Patrick
Back to top
View user's profile Send private message Visit poster's website
jjmckenzie51
The Anomaly


Joined: Apr 01, 2005
Posts: 1055
Location: Southeastern Arizona

PostPosted: Fri Sep 09, 2005 5:59 pm    Post subject: Reply with quote

pluby wrote:
If you want to rebuild an OOo module, you only need to worry if there is a unxmacxp.pro.oo directory. If there is one, then move the unxmacxp.pro directory out of the way, rename the unxmacxp.pro.oo to unxmacxp.pro, do your normal OOo build steps, and then move the two directories back to the where they were before you rebuild and Neo/J modules.


I wish I knew that before I deleted all of the unxmacxp.pro and unxmacxp.pro.oo directories.

James
Back to top
View user's profile Send private message
jjmckenzie51
The Anomaly


Joined: Apr 01, 2005
Posts: 1055
Location: Southeastern Arizona

PostPosted: Thu Sep 22, 2005 12:04 pm    Post subject: Reply with quote

I have started a build with 1.1.5 as the base code. I added one additional patch and that was the use of sw_vers vice the long block of code in the set_solenv.in code. Will update as time permits.
BTW, I will open an BugZilla issue when the build completes to put up all of the patches I used (including the ones from NeoOffice.)

Update: dlcompat is no longer included with OOo 1.1.5, so I had to drop the patch for it. It appears that OOo 1.1.5 will NOT run in Jaguar, so all builds will be in either Panther or Tiger. Sorry Jaguar folks, but I'm not the one who made that decision, the folks at OO did between 1.1.5rc5 and the actual release of 1.1.5.

James
Back to top
View user's profile Send private message
jjmckenzie51
The Anomaly


Joined: Apr 01, 2005
Posts: 1055
Location: Southeastern Arizona

PostPosted: Sat Oct 01, 2005 4:20 pm    Post subject: Reply with quote

More on the build:

Latest CVS update will not save/load Excel formatted spreadsheets correctly. I have to save my timecards in Excel format so that is what I test (yes, I do have a 'real' job.)

James
Back to top
View user's profile Send private message
Display posts from previous:   
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    NeoOffice Forum Index -> NeoOffice Development All times are GMT - 7 Hours
Goto page Previous  1, 2, 3, 4, 5, 6, 7
Page 7 of 7

 
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You cannot download files in this forum

Powered by phpBB © 2001, 2005 phpBB Group

All logos and trademarks in this site are property of their respective owner. The comments are property of their posters, all the rest © Planamesa Inc.
NeoOffice is a registered trademark of Planamesa Inc. and may not be used without permission.
PHP-Nuke Copyright © 2005 by Francisco Burzi. This is free software, and you may redistribute it under the GPL. PHP-Nuke comes with absolutely no warranty, for details, see the license.
Page Generation: 0.03 Seconds